import WalletProvider from '@walletconnect/ethereum-provider';
import { AbstractConnector } from '@web3-react/abstract-connector';
import { ConnectorUpdate } from '@web3-react/types';
export interface WalletConnectConnectorArguments {
    rpcMap: {
        [chainId: number]: string;
    };
    projectId: string;
    metadata: {
        name: string;
        description: string;
        url: string;
        icons: string[];
        verifyUrl?: string;
    };
}
export declare class WalletConnectConnector extends AbstractConnector {
    provider?: WalletProvider;
    private config;
    constructor(config: WalletConnectConnectorArguments);
    private init;
    protected getSupportedChainIds(): number[];
    private handleChainChanged;
    private handleAccountsChanged;
    private handleDisconnect;
    activate(): Promise<ConnectorUpdate>;
    getProvider(): Promise<any>;
    getChainId(): Promise<number | string>;
    getAccount(): Promise<null | string>;
    deactivate(): void;
    isAuthorized(): Promise<boolean>;
    close(): Promise<void>;
    onQRCodeURI(setQRCode: (uri: string) => void): void;
    set projectId(v: string);
}
